
GO

if exists(select id from view_gui_funcionalidad where funcionalidad like '%nuevo%' and nombreComando='guardar' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1)
begin
update gui_funcionalidad set nombreComando='crear' where id = (select id from view_gui_funcionalidad where funcionalidad like '%nuevo%' and nombreComando='guardar' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1)
end
else begin
	if not exists(select id from view_gui_funcionalidad where funcionalidad like '%nuevo%' and nombreComando='crear' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1) begin
		DECLARE @p_uid varchar(500)
		SET @p_uid = (select [uid] from seg_usuario where id=1)

		EXECUTE [ins_gui_funcionalidad] 
		   @p_uid,'01',1,1
		  ,'Nuevo movimiento'
		  ,'','','','','','','',''
		  ,'crear',0,749,5

	end
end

GO

if exists(select id from view_gui_funcionalidad where funcionalidad like '%editar%' and nombreComando='guardar' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1)
begin
update gui_funcionalidad set nombreComando='editar' where id = (select id from view_gui_funcionalidad where funcionalidad like '%editar%' and nombreComando='guardar' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1)
end
else begin
	if not exists(select id from view_gui_funcionalidad where funcionalidad like '%editar%' and nombreComando='editar' and id_tipoFuncionalidad=5 and gui_funcionalidad_padre_nombreControl='inc_movimientos' and active=1) begin
		DECLARE @p_uid varchar(500)
		SET @p_uid = (select [uid] from seg_usuario where id=1)

		EXECUTE [ins_gui_funcionalidad] 
		   @p_uid,'01',1,1
		  ,'Editar movimiento'
		  ,'','','','','','','',''
		  ,'editar',0,749,5

	end
end

GO

